Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366528 - saml-auth pod error because of readiness probe failure for 3.3
Summary: saml-auth pod error because of readiness probe failure for 3.3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 08:58 UTC by Johnny Liu
Modified: 2016-09-19 11:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 11:49:57 UTC


Attachments (Terms of Use)
ose32 saml pod log (deleted)
2016-08-12 08:59 UTC, Johnny Liu
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Comment 1 Johnny Liu 2016-08-12 08:59:22 UTC
Created attachment 1190306 [details]
ose32 saml pod log

Comment 3 Brenton Leanhardt 2016-08-12 18:43:14 UTC
Hi Jianlin, I tried a few different solutions but in the end I choose this workaround:

https://github.com/openshift/request-header-saml-service-provider/pull/5

Can you let me know if this works for you?  You'll just need to update the template and redeploy.

Comment 4 Johnny Liu 2016-08-15 02:37:40 UTC
Verified this bug with the PR#5, it is working well. 

I will merge the PR by myself so that QE could run full-functional testing today, hope not bring trouble for that.

Comment 6 Brenton Leanhardt 2016-09-19 11:49:57 UTC
Closing this bug because it's not currently customer facing and thus not needed for an advisory.


Note You need to log in before you can comment on or make changes to this bug.